//////////////////////////////////////////////////////////
//
//	MwlAghWindow
//
//////////////////////////////////////////////////////////

#ifndef __MwlAghWindow_H__
#define __MwlAghWindow_H__

#include "MwlAghCommon.h"
#include <windows.h>		//	2009/09/23

/*
#ifdef __MWLAGH_USE_DLL
	class _MWLAGH_LIB_EXP agh::CWindowBase;
#endif
*/
class CMyuWindow_MwlAghCallback;

//	クラス宣言
class _MWLAGH_LIB_EXP CMwlAghWindow : public agh::CWindowBase
{
	friend CMyuWindow_MwlAghCallback;
private:
	//CMyuWindow m_window;
	//CMyuWindow_Agh m_window;
	//void* m_pWindow;
	CMyuWindow_MwlAghCallback* m_pWindow;
	agh::CWindowBase *m_pOnTarget;

	void SetHwnd(void *hWnd){ SetValPtr(MWLAGH_VALKEY_HWND, hWnd); }

public:
	//	コンストラクタ・デストラクタ
	CMwlAghWindow();
	CMwlAghWindow(agh::CWindowBase* pOnTarget);
	virtual ~CMwlAghWindow();

	virtual void Start();
	virtual void SetWindowTitle(const char* szTitle);
	virtual void ExitWindow();

	virtual void EnableDropFiles();
	virtual void DisableDropFiles();

	void* GetHwnd(){ return GetValPtr(MWLAGH_VALKEY_HWND); }
	HWND GetWindowHandle(){ return (HWND)GetValPtr(MWLAGH_VALKEY_HWND); }		//	2009/09/23
};

//typedef CMwlAghWindow CAugustImage;

namespace mwlagh
{
	typedef ::CMwlAghWindow CWindow;
}

#endif//__MwlAghWindow_H__
